<?php

/**
* PHP versions 4 and 5
*
* LICENSE: This source file is subject to version 3.0 of the PHP license
* that is available through the world-wide-web at the following URI:
* http://www.php.net/license.  If you did not receive a copy of
* the PHP License and are unable to obtain it through the web, please
* send a note to license@php.net so we can mail you a copy immediately.
*
* @category   Forum
* @package    QuickTalk
* @author     Philippe Vandenberghe <info@qt-cute.org>
* @copyright  2008-2012 The PHP Group
* @version    2.1 build:20090819
* @since      File available since Release 1.0.0
* @deprecated File deprecated in Release 3.0.0
*/

session_start();
require_once('bin/qtf_init.php');
include(Translate('qtf_adm.php'));
if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$strVersion='v2.1';

$oVIP->selfurl = 'qtfm_rss_uninstall.php';
$oVIP->selfname = 'Uninstall module RSS '.$strVersion;

// UNINSTALL

$oDB->Query('DELETE FROM '.TABSETTING.' WHERE param="module_rss" OR param="m_rss" OR param="m_rss_conf"');
if ( isset($_SESSION[QT]['module_rss']) ) unset($_SESSION[QT]['module_rss']);
if ( isset($_SESSION[QT]['m_rss']) ) unset($_SESSION[QT]['m_rss']);
if ( isset($_SESSION[QT]['m_rss_conf']) ) unset($_SESSION[QT]['m_rss_conf']);

// --------
// Html start
// --------

include('qtf_adm_p_header.php');

echo '
<h1>',$oVIP->selfname,'</h1>
<h2>Removing database settings</h2>
<p>Ok</p>
<h2>Uninstall completed</h2>
<p>You can delete files:<br/>qtfm_rss.php<br/>qtfm_rss_inc.php<br/>qtfm_rss_adm.php<br/>qtfm_rss_install.php<br/>qtfm_rss_uninstall.php</p>
';

include('qtf_adm_p_footer.php');

?>